<?php
	if (!isset($CMS_ACTIVE)) exit();
	require_once "shared.php";
?>

<h1>Privacy Control Panel</h1>
<h2>What is this?</h2>
<p>
	This page allows you to configure your privacy preferences for the site. For more information about our privacy policy, please click <a href="/?p=contact#privacy">here</a>.
</p>

<h2>External content</h2>
<p>
	Here, you can allow the site to automatically load content from external sources. Please note that this means that the enabled sites are able to track your behavior, even when just visiting this site.
</p>
<p>
	These preferences are saved using a cookie with a validity period of one year. This means, after one year, you will have to refresh your consent.
</p>

<p>
	<table border=1>
		<tr><td>Content</td><td>Status</td><td>Change</td></tr>
		<tr>
			<td><strong>Automatically load embedded YouTube videos</strong></td>
			<?php
				if (opted_in('y')) {
					echo '<td style="color:orange;">Enabled</td><td><a href="/?p=privacy-controls&optout=y">opt out</a></td>';
				} else {
					echo '<td style="color:blue;">Disabled</td><td><a href="/?p=privacy-controls&optin=y">opt in</a></td>';
				}
			?>
		</tr>
	<table>
</p>
